# WOK
TKWOK
WOKBuilder

# WOKBuilder_Specification Class Reference

Base Class for spec definition files
.

`#include <WOKBuilder_Specification.hxx>`

Inheritance diagram for WOKBuilder_Specification:

[legend]

## Public Member Functions

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_Specification (const Handle(WOKUtils_Path)&apath)

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_Specification::WOKBuilder_Specification | ( | const Handle(WOKUtils_Path)& | apath | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const WOKBuilder_Specification::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_Entity. Reimplemented in WOKBuilder_CDLFile, and WOKOrbix_IDLFile.

The documentation for this class was generated from the following file:

- WOKBuilder_Specification.hxx